function init(hero) {
    hero.setName("Nightwing");
    hero.setTier(2);
    
    hero.setHelmet("item.superhero_armor.piece.mask");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:bo_staff");
	
	hero.addKeyBind("UTILITY_RESET", "key.utilityReset", 1);
    
    hero.addAbilities("fiskheroes:throwing_stars");
    hero.addAttribute("FALL_RESISTANCE", 4.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 2.5, 0);
	hero.addAttribute("SPRINT_SPEED", 0.45, 1);
	
    hero.setAttributeProfile(getAttributeProfile);
	hero.addAttributeProfile("STAFF", staff);
}

function getAttributeProfile(entity) {
    return entity.getHeldItem().name() == "fiskheroes:bo_staff" || entity.getHeldItem().name() == "fiskheroes:black_canarys_tonfas" ? "STAFF" : null;
}

function staff(profile) {
	profile.addAttribute("PUNCH_DAMAGE", 3.5, 0);
    profile.addAttribute("FALL_RESISTANCE", 4.5, 0);
	profile.addAttribute("SPRINT_SPEED", 0.45, 1);
}